#include<bits/stdc++.h>
using namespace std;
int n,x,mini,maksi;
int br;
int niz[3002379];
int main(){
    cin>>n;
    cin>>x;
    for(int i=0;i<n;i++){
        cin>>niz[i];
    }
mini=niz[1];
maksi=niz[1];

for(int i=0;i<n;i++){
    mini=min(mini,niz[i]);
    maksi=max(maksi,niz[i]);
}
if(abs(mini-x)<=abs(maksi-x)){
    br=abs(mini-x)+abs(mini-maksi);
    cout<<br<<endl;
}
else{br=abs(maksi-x)+abs(mini-maksi);
cout<<br<<endl;
}
    return 0;
}